package com.artfess.cqlt.dao;

import com.artfess.cqlt.model.QfOperationNewOrdersD;
import com.artfess.cqlt.vo.OpReportRespVo;
import com.artfess.cqlt.vo.OpReportReqVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 运营--新订单数据填报详情表 Mapper 接口
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-21
 */
public interface QfOperationNewOrdersDDao extends BaseMapper<QfOperationNewOrdersD> {

    List<OpReportRespVo> yearData(@Param("vo") OpReportReqVo t);

    List<OpReportRespVo> revenueLifeData(@Param("vo") OpReportReqVo t);

    List<OpReportRespVo> areaRevenueLifeData(@Param("vo") OpReportReqVo t);

    List<OpReportRespVo> yearAreaData(@Param("vo") OpReportReqVo t);

    List<OpReportRespVo> yearEbitdaData(@Param("vo") OpReportReqVo t);
}
